import { statisticsFetch } from '../../api/fetch';

// miniprogram/pages/platformFee/platformFee.js
Page({
  /**
   * 页面的初始数据
   */
  data: {
    year: '',
    dataList: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    let year = new Date().getFullYear();
    console.log(year);
    this.fetchList({
      year,
    });
    this.setData!({
      year,
    });
  },
  fetchList(entity) {
    return statisticsFetch({
      url: '/dcxy/platformFee/operate/areas/monthly',
      data: entity,
    })
      .then(res => {
        this.setData!({
          dataList: res.data,
        });
      })
      .catch(err => {
        console.log(err);
      });
  },
  yearChangeHandle(e) {
    console.log(e);
    const { value } = e.detail;
    this.fetchList({
      year: value,
    });
  },
  goRecordPage() {},
});
